kerncraft version: 0.6.6
FLOPs per cycle:
    SP: {total: 32, FMA: 16, ADD: 8, MUL: 8}
    DP: {total: 16, FMA: 8, ADD: 4, MUL: 4}
cacheline size: 64 B
clock: 2.3 GHz
cores per socket: 14
cores per NUMA domain: 7
NUMA domains per socket: 2
compiler:
    icc: -std=c99 -qopenmp -O3 -xCORE-AVX2 -fno-alias
    gcc: -std=c99 -fopenmp -Ofast -mavx2 -mfma -D_POSIX_C_SOURCE=200112L -fargument-noalias
    clang: -03 -mavx2 -D_POSIX_C_SOURCE=200112L
write-allocate: True
memory hierarchy:
    - level: L1
      cache per group: {
         'sets': 64, 'ways': 8, 'cl_size': 64, # 32 kB
         'replacement_policy': 'LRU',
         'write_allocate': True, 'write_back': True,
         'load_from': 'L2', 'store_to': 'L2'}
      cores per group: 1
      threads per group: 2
      groups: 28
      performance counter metrics:
          accesses: MEM_UOPS_RETIRED_LOADS:PMC[0-3]
          misses: L1D_REPLACEMENT:PMC[0-3]
          evicts: L1D_M_EVICT:PMC[0-3]
    - level: L2
      cache per group: {
         'sets': 512, 'ways': 8, 'cl_size': 64, # 256 kB
         'replacement_policy': 'LRU',
         'write_allocate': True, 'write_back': True,
         'load_from': 'L3', 'store_to': 'L3'}
      cores per group: 1
      threads per group: 2
      groups: 28
      non-overlap upstream throughput: [43 B/cy, 'half-duplex']
      performance counter metrics:
          accesses: L1D_REPLACEMENT:PMC[0-3]
          misses: L2_LINES_IN_ALL:PMC[0-3]
          evicts: L2_TRANS_L2_WB:PMC[0-3]
    - level: L3
      cache per group: {
         'sets': 18432, 'ways': 16, 'cl_size': 64, # 18 MB (cluster on die mode!)
         'replacement_policy': 'LRU', 
         'write_allocate': True, 'write_back': True}
      cores per group: 7
      threads per group: 14
      groups: 4
      non-overlap upstream throughput: [32 B/cy, 'half-duplex']
      performance counter metrics:
          accesses: L2_LINES_IN_ALL:PMC[0-3]
          misses: (LLC_LOOKUP_DATA_READ:CBOX0C[01] + LLC_LOOKUP_DATA_READ:CBOX1C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX2C[01] + LLC_LOOKUP_DATA_READ:CBOX3C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX4C[01] + LLC_LOOKUP_DATA_READ:CBOX5C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX6C[01] + LLC_LOOKUP_DATA_READ:CBOX7C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX8C[01] + LLC_LOOKUP_DATA_READ:CBOX9C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX10C[01] + LLC_LOOKUP_DATA_READ:CBOX11C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX12C[01] + LLC_LOOKUP_DATA_READ:CBOX13C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX14C[01] + LLC_LOOKUP_DATA_READ:CBOX15C[01] +
                   LLC_LOOKUP_DATA_READ:CBOX16C[01] + LLC_LOOKUP_DATA_READ:CBOX17C[01])
          evicts: (LLC_VICTIMS_M:CBOX0C[01] + LLC_VICTIMS_M:CBOX1C[01] + LLC_VICTIMS_M:CBOX2C[01] +
                   LLC_VICTIMS_M:CBOX3C[01] + LLC_VICTIMS_M:CBOX4C[01] + LLC_VICTIMS_M:CBOX5C[01] +
                   LLC_VICTIMS_M:CBOX6C[01] + LLC_VICTIMS_M:CBOX7C[01] + LLC_VICTIMS_M:CBOX8C[01] +
                   LLC_VICTIMS_M:CBOX9C[01] + LLC_VICTIMS_M:CBOX10C[01] + 
                   LLC_VICTIMS_M:CBOX11C[01] + LLC_VICTIMS_M:CBOX12C[01] +
                   LLC_VICTIMS_M:CBOX13C[01])
    - level: MEM
      cores per group: 14
      non-overlap upstream throughput: ['full socket memory bandwidth', 'half-duplex']
      penalty cycles per read stream: 0
      size per group: null
      threads per group: 28
micro-architecture: HSW
model type: Intel Core Haswell EN/EP/EX processor
model name: Intel(R) Xeon(R) CPU E5-2695 v3 @ 2.30GHz
overlapping model:
    ports: ["0", "0DV", "1", "2", "3", "4", "5", "6", "7"]
    performance counter metric:
        Max(UOPS_EXECUTED_PORT_PORT_0:PMC[0-3],
            UOPS_EXECUTED_PORT_PORT_1:PMC[0-3],
            UOPS_EXECUTED_PORT_PORT_4:PMC[0-3],
            UOPS_EXECUTED_PORT_PORT_5:PMC[0-3],
            UOPS_EXECUTED_PORT_PORT_6:PMC[0-3],
            UOPS_EXECUTED_PORT_PORT_7:PMC[0-3])
non-overlapping model:
    ports: ["2D", "3D"]
    performance counter metric: T_OL + T_L1L2 + T_L2L3 + T_L3MEM
benchmarks:
  kernels:
    copy:
      FLOPs per iteration: 0
      read streams: {bytes: 8.00 B, streams: 1}
      read+write streams: {bytes: 0.00 B, streams: 0}
      write streams: {bytes: 8.00 B, streams: 1}
    daxpy:
      FLOPs per iteration: 2
      read streams: {bytes: 16.00 B, streams: 2}
      read+write streams: {bytes: 8.00 B, streams: 1}
      write streams: {bytes: 8.00 B, streams: 1}
    load:
      FLOPs per iteration: 0
      read streams: {bytes: 8.00 B, streams: 1}
      read+write streams: {bytes: 0.00 B, streams: 0}
      write streams: {bytes: 0.00 B, streams: 0}
    triad:
      FLOPs per iteration: 2
      read streams: {bytes: 24.00 B, streams: 3}
      read+write streams: {bytes: 0.00 B, streams: 0}
      write streams: {bytes: 8.00 B, streams: 1}
    update:
      FLOPs per iteration: 0
      read streams: {bytes: 8.00 B, streams: 1}
      read+write streams: {bytes: 8.00 B, streams: 1}
      write streams: {bytes: 8.00 B, streams: 1}
  measurements:
    L1:
      1:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [36.15 GB/s, 72.32 GB/s, 108.48 GB/s, 144.60 GB/s, 180.74 GB/s, 214.17
              GB/s, 252.95 GB/s, 289.05 GB/s, 278.40 GB/s, 307.82 GB/s, 348.36 GB/s,
            376.51 GB/s, 412.77 GB/s, 434.20 GB/s]
          daxpy: [36.25 GB/s, 71.84 GB/s, 107.46 GB/s, 139.40 GB/s, 175.71 GB/s, 209.29
              GB/s, 250.44 GB/s, 281.95 GB/s, 272.83 GB/s, 303.23 GB/s, 339.49 GB/s,
            362.49 GB/s, 399.00 GB/s, 420.85 GB/s]
          load: [35.96 GB/s, 71.80 GB/s, 107.69 GB/s, 143.62 GB/s, 179.49 GB/s, 215.49
              GB/s, 251.34 GB/s, 287.11 GB/s, 322.75 GB/s, 358.53 GB/s, 394.38 GB/s,
            430.04 GB/s, 466.00 GB/s, 501.83 GB/s]
          triad: [35.74 GB/s, 71.87 GB/s, 106.99 GB/s, 141.43 GB/s, 178.34 GB/s, 214.73
              GB/s, 246.65 GB/s, 282.15 GB/s, 318.65 GB/s, 356.64 GB/s, 392.90 GB/s,
            426.63 GB/s, 460.06 GB/s, 498.37 GB/s]
          update: [36.44 GB/s, 71.91 GB/s, 107.46 GB/s, 141.49 GB/s, 175.50 GB/s,
            215.75 GB/s, 247.24 GB/s, 265.51 GB/s, 289.94 GB/s, 321.89 GB/s, 357.34
              GB/s, 370.31 GB/s, 409.59 GB/s, 440.27 GB/s]
        size per core: [21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB,
          21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12
            kB]
        size per thread: [21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12
            kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12
            kB, 21.12 kB]
        threads: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        threads per core: 1
        total size: [21.12 kB, 42.24 kB, 63.36 kB, 84.48 kB, 105.60 kB, 126.72 kB,
          147.84 kB, 168.96 kB, 190.08 kB, 211.20 kB, 232.32 kB, 253.44 kB, 274.56
            kB, 295.68 kB]
      2:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [36.02 GB/s, 71.82 GB/s, 107.69 GB/s, 143.60 GB/s, 179.53 GB/s, 212.53
              GB/s, 247.98 GB/s, 281.88 GB/s, 318.70 GB/s, 356.46 GB/s, 389.90 GB/s,
            425.05 GB/s, 461.73 GB/s, 502.55 GB/s]
          daxpy: [35.98 GB/s, 71.58 GB/s, 106.75 GB/s, 141.42 GB/s, 176.63 GB/s, 209.46
              GB/s, 244.31 GB/s, 255.21 GB/s, 288.40 GB/s, 328.65 GB/s, 351.42 GB/s,
            386.47 GB/s, 414.79 GB/s, 473.23 GB/s]
          load: [35.79 GB/s, 71.57 GB/s, 107.31 GB/s, 143.08 GB/s, 178.84 GB/s, 214.62
              GB/s, 246.60 GB/s, 285.92 GB/s, 321.70 GB/s, 349.91 GB/s, 393.10 GB/s,
            422.35 GB/s, 453.10 GB/s, 500.18 GB/s]
          triad: [36.00 GB/s, 71.81 GB/s, 106.99 GB/s, 141.62 GB/s, 176.22 GB/s, 207.76
              GB/s, 248.14 GB/s, 283.49 GB/s, 319.16 GB/s, 352.58 GB/s, 388.00 GB/s,
            369.89 GB/s, 456.50 GB/s, 492.49 GB/s]
          update: [36.39 GB/s, 72.72 GB/s, 108.81 GB/s, 145.20 GB/s, 181.58 GB/s,
            217.47 GB/s, 252.61 GB/s, 288.80 GB/s, 294.92 GB/s, 327.97 GB/s, 365.43
              GB/s, 396.15 GB/s, 429.01 GB/s, 460.27 GB/s]
        size per core: [21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB,
          21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12 kB, 21.12
            kB]
        size per thread: [10.56 kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56
            kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56 kB, 10.56
            kB, 10.56 kB]
        threads: [2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28]
        threads per core: 2
        total size: [21.12 kB, 42.24 kB, 63.36 kB, 84.48 kB, 105.60 kB, 126.72 kB,
          147.84 kB, 168.96 kB, 190.08 kB, 211.20 kB, 232.32 kB, 253.44 kB, 274.56
            kB, 295.68 kB]
    L2:
      1:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [28.75 GB/s, 56.68 GB/s, 83.86 GB/s, 111.83 GB/s, 135.89 GB/s, 168.65
              GB/s, 196.25 GB/s, 214.59 GB/s, 250.12 GB/s, 269.39 GB/s, 294.31 GB/s,
            329.71 GB/s, 329.72 GB/s, 354.34 GB/s]
          daxpy: [30.49 GB/s, 54.62 GB/s, 81.18 GB/s, 109.68 GB/s, 141.26 GB/s, 159.94
              GB/s, 184.55 GB/s, 217.10 GB/s, 239.26 GB/s, 263.83 GB/s, 299.87 GB/s,
            327.10 GB/s, 339.09 GB/s, 361.28 GB/s]
          load: [17.89 GB/s, 36.22 GB/s, 53.86 GB/s, 71.65 GB/s, 89.34 GB/s, 107.08
              GB/s, 125.19 GB/s, 143.21 GB/s, 159.87 GB/s, 178.72 GB/s, 196.39 GB/s,
            213.77 GB/s, 234.18 GB/s, 250.11 GB/s]
          triad: [29.43 GB/s, 55.85 GB/s, 85.46 GB/s, 101.73 GB/s, 118.24 GB/s, 154.32
              GB/s, 169.91 GB/s, 219.61 GB/s, 212.62 GB/s, 234.56 GB/s, 265.20 GB/s,
            282.67 GB/s, 311.22 GB/s, 326.56 GB/s]
          update: [31.94 GB/s, 60.12 GB/s, 88.37 GB/s, 122.19 GB/s, 149.44 GB/s, 181.19
              GB/s, 217.02 GB/s, 240.98 GB/s, 266.84 GB/s, 296.76 GB/s, 325.13 GB/s,
            356.40 GB/s, 386.21 GB/s, 441.39 GB/s]
        size per core: [168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96
            kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB,
          168.96 kB, 168.96 kB]
        size per thread: [168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96
            kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB,
          168.96 kB, 168.96 kB]
        threads: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        threads per core: 1
        total size: [168.96 kB, 337.92 kB, 506.88 kB, 675.84 kB, 844.80 kB, 1.01 MB,
          1.18 MB, 1.35 MB, 1.52 MB, 1.69 MB, 1.86 MB, 2.03 MB, 2.20 MB, 2.37 MB]
      2:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [27.79 GB/s, 54.98 GB/s, 80.69 GB/s, 109.06 GB/s, 136.41 GB/s, 159.94
              GB/s, 183.35 GB/s, 207.57 GB/s, 238.94 GB/s, 268.64 GB/s, 295.58 GB/s,
            323.64 GB/s, 355.60 GB/s, 366.47 GB/s]
          daxpy: [31.24 GB/s, 62.63 GB/s, 91.75 GB/s, 124.42 GB/s, 153.79 GB/s, 184.54
              GB/s, 216.03 GB/s, 245.88 GB/s, 276.42 GB/s, 303.78 GB/s, 337.72 GB/s,
            370.67 GB/s, 400.91 GB/s, 429.59 GB/s]
          load: [23.58 GB/s, 47.26 GB/s, 70.88 GB/s, 93.52 GB/s, 116.16 GB/s, 140.63
              GB/s, 159.73 GB/s, 186.29 GB/s, 208.65 GB/s, 229.20 GB/s, 252.75 GB/s,
            278.61 GB/s, 296.12 GB/s, 319.85 GB/s]
          triad: [31.47 GB/s, 62.35 GB/s, 92.51 GB/s, 121.81 GB/s, 154.31 GB/s, 183.17
              GB/s, 212.80 GB/s, 238.55 GB/s, 265.33 GB/s, 301.64 GB/s, 321.93 GB/s,
            364.27 GB/s, 391.61 GB/s, 425.19 GB/s]
          update: [32.29 GB/s, 63.69 GB/s, 96.03 GB/s, 126.34 GB/s, 157.11 GB/s, 189.56
              GB/s, 219.86 GB/s, 249.74 GB/s, 281.76 GB/s, 309.25 GB/s, 347.37 GB/s,
            373.21 GB/s, 410.44 GB/s, 440.19 GB/s]
        size per core: [168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96
            kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB, 168.96 kB,
          168.96 kB, 168.96 kB]
        size per thread: [84.48 kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48
            kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48 kB, 84.48
            kB, 84.48 kB]
        threads: [2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28]
        threads per core: 2
        total size: [168.96 kB, 337.92 kB, 506.88 kB, 675.84 kB, 844.80 kB, 1.01 MB,
          1.18 MB, 1.35 MB, 1.52 MB, 1.69 MB, 1.86 MB, 2.03 MB, 2.20 MB, 2.37 MB]
    L3:
      1:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [21.02 GB/s, 41.52 GB/s, 62.31 GB/s, 82.56 GB/s, 102.87 GB/s, 121.02
              GB/s, 142.54 GB/s, 162.91 GB/s, 181.34 GB/s, 199.52 GB/s, 222.01 GB/s,
            240.10 GB/s, 259.49 GB/s, 278.83 GB/s]
          daxpy: [26.51 GB/s, 46.27 GB/s, 77.09 GB/s, 92.44 GB/s, 113.33 GB/s, 139.31
              GB/s, 158.01 GB/s, 188.86 GB/s, 202.32 GB/s, 250.73 GB/s, 245.43 GB/s,
            268.76 GB/s, 299.00 GB/s, 311.26 GB/s]
          load: [18.03 GB/s, 35.98 GB/s, 53.70 GB/s, 70.84 GB/s, 87.76 GB/s, 105.92
              GB/s, 125.01 GB/s, 138.96 GB/s, 159.47 GB/s, 175.75 GB/s, 194.14 GB/s,
            209.34 GB/s, 227.48 GB/s, 244.33 GB/s]
          triad: [23.81 GB/s, 40.32 GB/s, 66.92 GB/s, 88.25 GB/s, 109.38 GB/s, 129.45
              GB/s, 137.69 GB/s, 157.36 GB/s, 179.99 GB/s, 227.95 GB/s, 215.64 GB/s,
            233.77 GB/s, 266.22 GB/s, 273.28 GB/s]
          update: [26.90 GB/s, 52.26 GB/s, 76.99 GB/s, 105.16 GB/s, 124.36 GB/s, 148.45
              GB/s, 175.83 GB/s, 201.13 GB/s, 231.20 GB/s, 246.55 GB/s, 270.62 GB/s,
            293.55 GB/s, 317.16 GB/s, 340.38 GB/s]
        size per core: [11.88 MB, 5.94 MB, 3.96 MB, 2.97 MB, 2.38 MB, 1.98 MB, 1.70
            MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB]
        size per thread: [11.88 MB, 5.94 MB, 3.96 MB, 2.97 MB, 2.38 MB, 1.98 MB, 1.70
            MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB]
        threads: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        threads per core: 1
        total size: [11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88
            MB, 13.58 MB, 15.27 MB, 16.97 MB, 18.67 MB, 20.37 MB, 22.06 MB, 23.76
            MB]
      2:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [22.15 GB/s, 44.27 GB/s, 66.17 GB/s, 88.04 GB/s, 108.98 GB/s, 130.51
              GB/s, 151.20 GB/s, 173.12 GB/s, 194.69 GB/s, 215.28 GB/s, 236.63 GB/s,
            257.06 GB/s, 278.27 GB/s, 298.86 GB/s]
          daxpy: [28.22 GB/s, 56.13 GB/s, 84.22 GB/s, 112.13 GB/s, 138.91 GB/s, 166.43
              GB/s, 193.39 GB/s, 221.53 GB/s, 248.16 GB/s, 275.90 GB/s, 302.57 GB/s,
            330.22 GB/s, 358.80 GB/s, 386.93 GB/s]
          load: [22.59 GB/s, 45.11 GB/s, 67.60 GB/s, 90.16 GB/s, 112.05 GB/s, 134.07
              GB/s, 156.11 GB/s, 178.51 GB/s, 200.21 GB/s, 221.75 GB/s, 244.62 GB/s,
            266.29 GB/s, 288.39 GB/s, 310.38 GB/s]
          triad: [25.68 GB/s, 51.65 GB/s, 77.34 GB/s, 101.93 GB/s, 127.30 GB/s, 152.26
              GB/s, 174.54 GB/s, 199.03 GB/s, 225.88 GB/s, 250.98 GB/s, 276.15 GB/s,
            298.44 GB/s, 321.18 GB/s, 347.15 GB/s]
          update: [28.20 GB/s, 56.49 GB/s, 84.39 GB/s, 112.78 GB/s, 139.30 GB/s, 166.44
              GB/s, 193.85 GB/s, 220.05 GB/s, 247.79 GB/s, 275.14 GB/s, 302.02 GB/s,
            329.30 GB/s, 356.22 GB/s, 381.62 GB/s]
        size per core: [11.88 MB, 5.94 MB, 3.96 MB, 2.97 MB, 2.38 MB, 1.98 MB, 1.70
            MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB, 1.70 MB]
        size per thread: [5.94 MB, 2.97 MB, 1.98 MB, 1.49 MB, 1.19 MB, 0.99 MB, 848.57
            kB, 848.57 kB, 848.57 kB, 848.57 kB, 848.57 kB, 848.57 kB, 848.57 kB,
          848.57 kB]
        threads: [2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28]
        threads per core: 2
        total size: [11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88 MB, 11.88
            MB, 13.58 MB, 15.27 MB, 16.97 MB, 18.67 MB, 20.37 MB, 22.06 MB, 23.76
            MB]
    MEM:
      1:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [11.18 GB/s, 16.00 GB/s, 17.46 GB/s, 17.82 GB/s, 17.77 GB/s, 17.76
              GB/s, 17.67 GB/s, 20.32 GB/s, 22.78 GB/s, 25.68 GB/s, 27.91 GB/s, 30.99
              GB/s, 33.35 GB/s, 34.87 GB/s]
          daxpy: [17.06 GB/s, 23.92 GB/s, 25.96 GB/s, 26.51 GB/s, 26.51 GB/s, 26.49
              GB/s, 26.50 GB/s, 30.47 GB/s, 34.06 GB/s, 38.10 GB/s, 42.18 GB/s, 46.20
              GB/s, 49.33 GB/s, 51.22 GB/s]
          load: [12.35 GB/s, 19.89 GB/s, 26.45 GB/s, 29.58 GB/s, 31.46 GB/s, 32.27
              GB/s, 32.16 GB/s, 37.13 GB/s, 41.81 GB/s, 46.12 GB/s, 50.75 GB/s, 55.58
              GB/s, 60.03 GB/s, 63.98 GB/s]
          triad: [12.76 GB/s, 19.39 GB/s, 21.80 GB/s, 22.36 GB/s, 22.50 GB/s, 22.47
              GB/s, 22.42 GB/s, 25.91 GB/s, 29.24 GB/s, 32.60 GB/s, 35.94 GB/s, 39.68
              GB/s, 42.85 GB/s, 43.13 GB/s]
          update: [15.11 GB/s, 22.68 GB/s, 24.97 GB/s, 24.50 GB/s, 24.18 GB/s, 23.96
              GB/s, 23.67 GB/s, 27.23 GB/s, 30.48 GB/s, 33.87 GB/s, 37.41 GB/s, 40.47
              GB/s, 44.13 GB/s, 46.06 GB/s]
        size per core: [270.00 MB, 135.00 MB, 90.00 MB, 67.50 MB, 54.00 MB, 45.00
            MB, 38.57 MB, 33.75 MB, 30.00 MB, 27.00 MB, 24.55 MB, 22.50 MB, 20.77
            MB, 19.29 MB]
        size per thread: [270.00 MB, 135.00 MB, 90.00 MB, 67.50 MB, 54.00 MB, 45.00
            MB, 38.57 MB, 33.75 MB, 30.00 MB, 27.00 MB, 24.55 MB, 22.50 MB, 20.77
            MB, 19.29 MB]
        threads: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        threads per core: 1
        total size: [270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00
            MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB,
          270.00 MB, 270.00 MB]
      2:
        cores: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]
        results:
          copy: [11.12 GB/s, 16.12 GB/s, 17.44 GB/s, 17.48 GB/s, 17.40 GB/s, 17.38
              GB/s, 17.39 GB/s, 19.96 GB/s, 22.47 GB/s, 25.24 GB/s, 26.79 GB/s, 30.28
              GB/s, 31.19 GB/s, 34.18 GB/s]
          daxpy: [17.43 GB/s, 24.79 GB/s, 26.16 GB/s, 26.13 GB/s, 26.07 GB/s, 26.07
              GB/s, 26.05 GB/s, 30.05 GB/s, 33.45 GB/s, 37.16 GB/s, 41.03 GB/s, 44.27
              GB/s, 48.40 GB/s, 50.98 GB/s]
          load: [14.46 GB/s, 26.08 GB/s, 31.35 GB/s, 32.26 GB/s, 32.39 GB/s, 32.43
              GB/s, 32.43 GB/s, 37.25 GB/s, 42.03 GB/s, 46.24 GB/s, 51.01 GB/s, 54.26
              GB/s, 58.46 GB/s, 64.02 GB/s]
          triad: [12.94 GB/s, 19.73 GB/s, 22.12 GB/s, 22.24 GB/s, 22.31 GB/s, 22.23
              GB/s, 22.24 GB/s, 25.77 GB/s, 28.41 GB/s, 30.95 GB/s, 35.16 GB/s, 38.03
              GB/s, 41.60 GB/s, 42.83 GB/s]
          update: [18.74 GB/s, 24.25 GB/s, 23.56 GB/s, 23.08 GB/s, 22.89 GB/s, 22.67
              GB/s, 22.61 GB/s, 25.98 GB/s, 28.47 GB/s, 32.59 GB/s, 35.51 GB/s, 38.44
              GB/s, 42.29 GB/s, 44.57 GB/s]
        size per core: [270.00 MB, 135.00 MB, 90.00 MB, 67.50 MB, 54.00 MB, 45.00
            MB, 38.57 MB, 33.75 MB, 30.00 MB, 27.00 MB, 24.55 MB, 22.50 MB, 20.77
            MB, 19.29 MB]
        size per thread: [135.00 MB, 67.50 MB, 45.00 MB, 33.75 MB, 27.00 MB, 22.50
            MB, 19.29 MB, 16.88 MB, 15.00 MB, 13.50 MB, 12.27 MB, 11.25 MB, 10.38
            MB, 9.64 MB]
        threads: [2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28]
        threads per core: 2
        total size: [270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00
            MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB, 270.00 MB,
          270.00 MB, 270.00 MB]
